Viewing Issue Advanced Details Jump to Notes ] rungun.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03709 Graphics Minor Always Feb 4, 2010, 17:29 Jan 5, 2016, 14:42
Tester Kale View Status Public Platform
Assigned To Kale Resolution Fixed OS
Status [?] Resolved   Driver rungun.cpp
Version 0.136u2 Fixed in Version 0.169 Build
Summary 03709: rungun and clones: Rotation effect for the title logo is not shown because of a priority problem.
Description At about 0:18 you'll see an unemulated rotate effect in the Run and Gun Title screen. MAME is missing this effect.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems rungun and clones
Attached Files
 


-  Notes
User avatar
No.05618
Canim
(Senior Tester)
Feb 4, 2010, 22:36
edited on: Feb 4, 2010, 22:40
Maybe it's more a priority issue cause one second before the rotation effect the priority for the ball and the words "SLAM DUNK" is wrong and therefore the white screen has a higher priority than the rotation effect.
It's just an idea.
Ah and the music track seems to have some issues. The video plays the track fluently and in Mame there are some tiny breaks every few seconds that break the rhythm.

User avatar
No.05621
Fujix
(Administrator)
Feb 5, 2010, 05:57
I created new report for the choppy music issue in 03711.
Thanks Canim.
User avatar
No.05628
Canim
(Senior Tester)
Feb 5, 2010, 18:53
As I guessed, removing the sprites shows the rotation effect. It's really a priority prob. The bug should be renamed.
Talking about sprites, it also seems the sprite roms are not loaded correct cause the mask rom check shows them as bad. The check always looks at 0x800000 for all 4 sprite roms, that gives one correct and 3 bad roms. Also the .A13 rom seems not to be recognized in the check.